Bug 1294713 - Build python-mock for python3 in EPEL7
Build python-mock for python3 in EPEL7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-mock (Show other bugs)
epel7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On: 1294704
Blocks: 1294856
  Show dependency treegraph
 
Reported: 2015-12-29 18:04 EST by Orion Poplawski
Modified: 2016-01-23 20:05 EST (History)
2 users (show)

See Also:
Fixed In Version: python-mock-1.0.1-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 20:05:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to build python34-mock (2.12 KB, application/mbox)
2015-12-29 18:04 EST, Orion Poplawski
no flags Details
Updated spec (4.74 KB, text/plain)
2016-01-06 15:41 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2015-12-29 18:04:44 EST
Created attachment 1110387 [details]
Patch to build python34-mock

Description of problem:

Once python34-setuptools is in EPEL7, we can build python-mock for python34.  The attached patch does the trick.
Comment 1 Orion Poplawski 2015-12-30 13:27:58 EST
Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 2 Orion Poplawski 2016-01-06 15:41 EST
Created attachment 1112243 [details]
Updated spec

here's an updated spec that I'm planning on committing soon to do this.
Comment 3 Fedora Update System 2016-01-08 15:35:17 EST
python-mock-1.0.1-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4fae947e69
Comment 4 Fedora Update System 2016-01-09 12:51:33 EST
python-mock-1.0.1-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4fae947e69
Comment 5 Fedora Update System 2016-01-23 20:05:32 EST
python-mock-1.0.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.